package redis

import (
	"time"

	"git.loafle.net/overflow/overflow_gateway_websocket/pubsub"
	"github.com/garyburd/redigo/redis"
)

type redisPubSub struct {
	pool *redis.Pool
}

func New() pubsub.Pubsub {
	r := &redisPubSub{}
	r.pool = &redis.Pool{
		MaxIdle:     3,
		IdleTimeout: 240 * time.Second,
		Dial: func() (redis.Conn, error) {
			return redis.Dial("tcp", addr)
		},
	}
	return r
}
